# ICCM Under five years Create

| **API URL**     | {{url}}/spice-service/medical-review/iccm-under-5years/create |
| --------------- | ------------------------------------------------------------- |
| **Method**      | POST                                                          |
| **Description** | Creation of iccm-under-5years medical review                  |

#### **Input:** <a href="#iccmunder5yearscreate-v2-input" id="iccmunder5yearscreate-v2-input"></a>

| **Field Name**          | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ----------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| clinicalSummaryAndSigns | String   | Yes           | Clinical Summary And its Signs                                                                                                          |
| weight                  | Long     | Yes           | Patient Weight                                                                                                                          |
| heightUnit              | String   | Yes           | Height unit                                                                                                                             |
| height                  | Long     | Yes           | Height of patient                                                                                                                       |
| weightUnit              | String   | Yes           | Weight unit                                                                                                                             |
| waz                     | Long     | No            | Weight for age in z-index                                                                                                               |
| whz                     | Long     | No            | Weight for height in z-index                                                                                                            |
| examination             | String   | No            | Examination details                                                                                                                     |
| clinicalNotes           | String   | Yes           | Clinical Notes for the patient                                                                                                          |
| encounter               | String   | Yes           | Encounter details of the patient                                                                                                        |
| provenance              | String   | Yes           | Provenance details of the organization                                                                                                  |
| latitude                | Long     | Yes           | Location of the registration                                                                                                            |
| longitude               | Long     | Yes           | Location of the registration                                                                                                            |
| Authorization (Header)  | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                  | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#iccmunder5yearscreate-v2-sampleinput" id="iccmunder5yearscreate-v2-sampleinput"></a>

{\
"id": null,\
"clinicalSummaryAndSigns": {\
"weight": 44,\
"heightUnit": "cm",\
"height": 49,\
"weightUnit": "kg",\
"temperature": null,\
"temperatureUnit": null,\
"waz": 26.5,\
"whz": null,\
"immunisationStatus": null,\
"respirationRate": null,\
"vitAForMother": null,\
"albendazole": null,\
"breastFeeding": null,\
"exclusiveBreastFeeding": null,\
"muacStatus": null,\
"muacInCentimeter": null\
},\
"examination": null,\
"clinicalNotes": "Jan",\
"presentingComplaints": null,\
"systemicExamination": \[],\
"systemicExaminationNotes": "",\
"patientId": null,\
"assessmentName": null,\
"encounter": {\
"id": null,\
"patientVisitId": null,\
"patientReference": null,\
"referred": true,\
"patientId": "333333317130010",\
"patientStatus": null,\
"memberId": "712",\
"startTime": "2025-01-20T07:22:35+00:00",\
"endTime": "2025-01-20T07:22:35+00:00",\
"householdId": null,\
"provenance": {\
"userId": "11",\
"spiceUserId": 1713,\
"organizationId": "9",\
"modifiedDate": "2025-01-20T07:22:35+00:00"\
},\
"latitude": 13.0145849,\
"longitude": 80.2098922,\
"visitNumber": 0,\
"visitId": null\
}\
}

#### **Output:** <a href="#iccmunder5yearscreate-v2-output" id="iccmunder5yearscreate-v2-output"></a>

| **Field Name**   | **Type** | **Comments**                       |
| ---------------- | -------- | ---------------------------------- |
| message          | String   | MedicalReview created successfully |
| patientReference | BigInt   | Patinet reference id               |
| encounterId      | BigInt   | Encounter Id                       |
| status           | Boolean  | Response status                    |

#### **Sample Output:** <a href="#iccmunder5yearscreate-v2-sampleoutput" id="iccmunder5yearscreate-v2-sampleoutput"></a>

```
{
  "message": "MedicalReview created successfully.",
  "entity": {
    "patientReference": "1",
    "encounterId": "1"
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/iccm-under-five-years-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
